
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest14 {

  public static boolean debug = false;

  @Test
  public void test01() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test01"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getSumSquaredErrors();
    double d5 = simpleRegression0.getInterceptStdErr();
    double d6 = simpleRegression0.getMeanSquareError();
    double d7 = simpleRegression0.getIntercept();
    double d8 = simpleRegression0.getRSquare();
    simpleRegression0.addData(100.0d, 10.0d);
    double d13 = simpleRegression0.predict(Double.NaN);
    simpleRegression0.addData(61.605000000000004d, 9.094947017729282E-13d);
    double d17 = simpleRegression0.getR();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.9999999999999999d);

  }

  @Test
  public void test02() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test02"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getSlopeStdErr();
    simpleRegression0.clear();
    double d5 = simpleRegression0.getSlope();
    double d6 = simpleRegression0.getSlopeStdErr();
    // The following exception was thrown during execution in test generation
    try {
      double d8 = simpleRegression0.getSlopeConfidenceInterval(0.5617283950617282d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test03() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test03"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    simpleRegression0.clear();
    double d2 = simpleRegression0.getIntercept();
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getSumSquaredErrors();
    double d5 = simpleRegression0.getSlopeStdErr();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test04() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test04"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getSumSquaredErrors();
    double d5 = simpleRegression0.getRSquare();
    double d6 = simpleRegression0.getSlope();
    double d7 = simpleRegression0.getRegressionSumSquares();
    double d8 = simpleRegression0.getIntercept();
    double d9 = simpleRegression0.getSumSquaredErrors();
    double d10 = simpleRegression0.getR();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test05() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test05"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d5 = simpleRegression0.predict(100.0d);
    double d6 = simpleRegression0.getRSquare();
    double d7 = simpleRegression0.getR();
    double d8 = simpleRegression0.getR();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test06() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test06"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getSumSquaredErrors();
    double d5 = simpleRegression0.getRSquare();
    double d6 = simpleRegression0.getSlope();
    double d7 = simpleRegression0.getR();
    double d8 = simpleRegression0.getSlopeStdErr();
    double d9 = simpleRegression0.getRSquare();
    double d10 = simpleRegression0.getInterceptStdErr();
    // The following exception was thrown during execution in test generation
    try {
      double d11 = simpleRegression0.getSignificance();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test07() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test07"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    long long1 = simpleRegression0.getN();
    double d2 = simpleRegression0.getIntercept();
    double d3 = simpleRegression0.getRSquare();
    double d4 = simpleRegression0.getIntercept();
    double d5 = simpleRegression0.getMeanSquareError();
    double d6 = simpleRegression0.getRSquare();
    simpleRegression0.addData(7.105427357601002E-15d, 0.9999999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test08() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test08"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d4 = simpleRegression0.predict(0.0d);
    double d5 = simpleRegression0.getIntercept();
    double d7 = simpleRegression0.predict(Double.NaN);
    simpleRegression0.addData(1.0d, 1.0d);
    double d11 = simpleRegression0.getMeanSquareError();
    double d12 = simpleRegression0.getInterceptStdErr();
    simpleRegression0.clear();
    simpleRegression0.addData(Double.NaN, 1.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d17 = simpleRegression0.getSlopeConfidenceInterval();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test09() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test09"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getR();
    simpleRegression0.addData((-1.0d), 0.0d);
    double d8 = simpleRegression0.getSumSquaredErrors();
    double d9 = simpleRegression0.getTotalSumSquares();
    double d10 = simpleRegression0.getSlopeStdErr();
    double d11 = simpleRegression0.getSlopeStdErr();
    // The following exception was thrown during execution in test generation
    try {
      double d13 = simpleRegression0.getSlopeConfidenceInterval(25.205000000000002d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);

  }

  @Test
  public void test10() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test10"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    long long6 = simpleRegression0.getN();
    double d7 = simpleRegression0.getR();
    double d8 = simpleRegression0.getIntercept();
    long long9 = simpleRegression0.getN();
    double d10 = simpleRegression0.getInterceptStdErr();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test11() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test11"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d1 = simpleRegression0.getMeanSquareError();
    double d2 = simpleRegression0.getRegressionSumSquares();
    double d3 = simpleRegression0.getSlopeStdErr();
    double d4 = simpleRegression0.getSumSquaredErrors();
    double d5 = simpleRegression0.getTotalSumSquares();
    long long6 = simpleRegression0.getN();
    double d7 = simpleRegression0.getRegressionSumSquares();
    double d8 = simpleRegression0.getSlope();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test12() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test12"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d1 = simpleRegression0.getMeanSquareError();
    double d2 = simpleRegression0.getTotalSumSquares();
    simpleRegression0.clear();
    long long4 = simpleRegression0.getN();
    // The following exception was thrown during execution in test generation
    try {
      double d5 = simpleRegression0.getSlopeConfidenceInterval();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);

  }

  @Test
  public void test13() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test13"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    long long1 = simpleRegression0.getN();
    double d2 = simpleRegression0.getIntercept();
    double d3 = simpleRegression0.getTotalSumSquares();
    double d4 = simpleRegression0.getMeanSquareError();
    double d5 = simpleRegression0.getSumSquaredErrors();
    double d6 = simpleRegression0.getSlope();
    double d7 = simpleRegression0.getTotalSumSquares();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test14() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test14"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    double d6 = simpleRegression0.getSlopeStdErr();
    double d7 = simpleRegression0.getMeanSquareError();
    double d8 = simpleRegression0.getSumSquaredErrors();
    double d9 = simpleRegression0.getInterceptStdErr();
    // The following exception was thrown during execution in test generation
    try {
      double d11 = simpleRegression0.getSlopeConfidenceInterval(1.1083333333333334d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test15() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test15"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getR();
    double d5 = simpleRegression0.getIntercept();
    double d6 = simpleRegression0.getRegressionSumSquares();
    double d7 = simpleRegression0.getMeanSquareError();
    double d8 = simpleRegression0.getIntercept();
    double d9 = simpleRegression0.getSlopeStdErr();
    double d10 = simpleRegression0.getRSquare();
    simpleRegression0.clear();
    double d12 = simpleRegression0.getSlopeStdErr();
    simpleRegression0.addData(1.1368715083798884d, 1.125d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test16() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test16"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    simpleRegression0.clear();
    double d7 = simpleRegression0.getSlope();
    long long8 = simpleRegression0.getN();
    simpleRegression0.clear();
    double d10 = simpleRegression0.getIntercept();
    double d11 = simpleRegression0.getSumSquaredErrors();
    double d12 = simpleRegression0.getRSquare();
    double d13 = simpleRegression0.getMeanSquareError();
    double d15 = simpleRegression0.predict(0.022222222222222223d);
    double d16 = simpleRegression0.getSlope();
    double d17 = simpleRegression0.getR();
    double d18 = simpleRegression0.getSlopeStdErr();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);

  }

  @Test
  public void test17() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test17"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d4 = simpleRegression0.predict(0.0d);
    double d5 = simpleRegression0.getIntercept();
    double d6 = simpleRegression0.getR();
    double d7 = simpleRegression0.getSlope();
    double d8 = simpleRegression0.getMeanSquareError();
    double d9 = simpleRegression0.getInterceptStdErr();
    double d10 = simpleRegression0.getSlope();
    double d11 = simpleRegression0.getSlope();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);

  }

  @Test
  public void test18() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test18"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    double d6 = simpleRegression0.getSlopeStdErr();
    double d7 = simpleRegression0.getRegressionSumSquares();
    double d8 = simpleRegression0.getSlopeStdErr();
    double d9 = simpleRegression0.getRegressionSumSquares();
    simpleRegression0.clear();
    double d11 = simpleRegression0.getSlope();
    double d12 = simpleRegression0.getR();
    double d13 = simpleRegression0.getTotalSumSquares();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test19() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test19"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.addData(10.0d, (-1.0d));
    double d6 = simpleRegression0.getIntercept();
    double d7 = simpleRegression0.getR();
    double d8 = simpleRegression0.getIntercept();
    double d9 = simpleRegression0.getMeanSquareError();
    double d10 = simpleRegression0.getRegressionSumSquares();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test20() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test20"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    simpleRegression0.clear();
    double d7 = simpleRegression0.getRSquare();
    double d8 = simpleRegression0.getRSquare();
    simpleRegression0.clear();
    double d10 = simpleRegression0.getRegressionSumSquares();
    simpleRegression0.addData(4049.9999999999995d, 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d14 = simpleRegression0.getSlopeConfidenceInterval();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test21() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test21"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getSlopeStdErr();
    simpleRegression0.clear();
    double d5 = simpleRegression0.getRSquare();
    double d6 = simpleRegression0.getR();
    double d7 = simpleRegression0.getSlopeStdErr();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test22() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test22"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getIntercept();
    double d4 = simpleRegression0.getRSquare();
    double d5 = simpleRegression0.getTotalSumSquares();
    simpleRegression0.addData((-0.2d), 1.125d);
    double d9 = simpleRegression0.getRegressionSumSquares();
    double d10 = simpleRegression0.getSumSquaredErrors();
    // The following exception was thrown during execution in test generation
    try {
      double d12 = simpleRegression0.getSlopeConfidenceInterval(5000.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test23() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test23"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getR();
    double d5 = simpleRegression0.getIntercept();
    double d6 = simpleRegression0.getTotalSumSquares();
    double d7 = simpleRegression0.getSumSquaredErrors();
    simpleRegression0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test24() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test24"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    long long1 = simpleRegression0.getN();
    double d2 = simpleRegression0.getIntercept();
    double d3 = simpleRegression0.getRSquare();
    double d4 = simpleRegression0.getIntercept();
    double d5 = simpleRegression0.getMeanSquareError();
    simpleRegression0.addData(1.0d, 10.0d);
    double d9 = simpleRegression0.getTotalSumSquares();
    double d10 = simpleRegression0.getSlope();
    double d11 = simpleRegression0.getInterceptStdErr();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);

  }

  @Test
  public void test25() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test25"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    long long6 = simpleRegression0.getN();
    double d7 = simpleRegression0.getTotalSumSquares();
    double d8 = simpleRegression0.getR();
    double d9 = simpleRegression0.getTotalSumSquares();
    double d10 = simpleRegression0.getIntercept();
    double d11 = simpleRegression0.getInterceptStdErr();
    double d12 = simpleRegression0.getSumSquaredErrors();
    double d13 = simpleRegression0.getRSquare();
    double d14 = simpleRegression0.getRSquare();
    double d15 = simpleRegression0.getR();
    // The following exception was thrown during execution in test generation
    try {
      double d16 = simpleRegression0.getSlopeConfidenceInterval();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test26() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test26"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getR();
    double d5 = simpleRegression0.getRSquare();
    double d6 = simpleRegression0.getRSquare();
    double d7 = simpleRegression0.getRegressionSumSquares();
    double d8 = simpleRegression0.getSlope();
    double d9 = simpleRegression0.getR();
    double d10 = simpleRegression0.getIntercept();
    double d11 = simpleRegression0.getSumSquaredErrors();
    double d13 = simpleRegression0.predict(40.5d);
    double d15 = simpleRegression0.predict(3.666666666666667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test27() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test27"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d1 = simpleRegression0.getMeanSquareError();
    double d2 = simpleRegression0.getTotalSumSquares();
    simpleRegression0.clear();
    long long4 = simpleRegression0.getN();
    double d5 = simpleRegression0.getSlopeStdErr();
    double d6 = simpleRegression0.getSumSquaredErrors();
    double d7 = simpleRegression0.getRegressionSumSquares();
    double d8 = simpleRegression0.getTotalSumSquares();
    double d9 = simpleRegression0.getRSquare();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = simpleRegression0.getSlopeConfidenceInterval();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test28() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test28"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.addData(10.0d, (-1.0d));
    double d6 = simpleRegression0.getIntercept();
    double d8 = simpleRegression0.predict(100.0d);
    double d9 = simpleRegression0.getTotalSumSquares();
    double d10 = simpleRegression0.getIntercept();
    double d11 = simpleRegression0.getSumSquaredErrors();
    double d12 = simpleRegression0.getSlopeStdErr();
    double d13 = simpleRegression0.getR();
    double d14 = simpleRegression0.getIntercept();
    double d15 = simpleRegression0.getIntercept();
    double d16 = simpleRegression0.getR();
    simpleRegression0.addData(0.48333333333333334d, 111.65008295036326d);
    long long20 = simpleRegression0.getN();
    double d21 = simpleRegression0.getIntercept();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 117.37136562209798d);

  }

  @Test
  public void test29() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test29"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getR();
    simpleRegression0.addData((-1.0d), 0.0d);
    double d8 = simpleRegression0.getMeanSquareError();
    double d9 = simpleRegression0.getRSquare();
    simpleRegression0.addData(0.0d, 1.0d);
    double d13 = simpleRegression0.getMeanSquareError();
    long long14 = simpleRegression0.getN();
    double d16 = simpleRegression0.predict(0.0555555555555555d);
    double d17 = simpleRegression0.getIntercept();
    double d18 = simpleRegression0.getIntercept();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0555555555555556d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);

  }

  @Test
  public void test30() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test30"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getTotalSumSquares();
    double d5 = simpleRegression0.getSlope();
    double d6 = simpleRegression0.getSlopeStdErr();
    double d7 = simpleRegression0.getSlopeStdErr();
    double d8 = simpleRegression0.getSlope();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test31() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test31"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.addData(10.0d, (-1.0d));
    double d6 = simpleRegression0.getIntercept();
    double d8 = simpleRegression0.predict(100.0d);
    double d9 = simpleRegression0.getTotalSumSquares();
    long long10 = simpleRegression0.getN();
    double d11 = simpleRegression0.getMeanSquareError();
    double d12 = simpleRegression0.getR();
    double d13 = simpleRegression0.getSumSquaredErrors();
    double d14 = simpleRegression0.getSlope();
    simpleRegression0.clear();
    double d16 = simpleRegression0.getSlopeStdErr();
    simpleRegression0.clear();
    double d18 = simpleRegression0.getSlope();
    long long19 = simpleRegression0.getN();
    simpleRegression0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 0L);

  }

  @Test
  public void test32() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test32"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d1 = simpleRegression0.getMeanSquareError();
    double d2 = simpleRegression0.getSlope();
    long long3 = simpleRegression0.getN();
    double d4 = simpleRegression0.getInterceptStdErr();
    double d6 = simpleRegression0.predict(Double.NaN);
    double d7 = simpleRegression0.getR();
    // The following exception was thrown during execution in test generation
    try {
      double d8 = simpleRegression0.getSlopeConfidenceInterval();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test33() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test33"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getSlopeStdErr();
    simpleRegression0.clear();
    double d5 = simpleRegression0.getIntercept();
    double d6 = simpleRegression0.getR();
    double d7 = simpleRegression0.getTotalSumSquares();
    double d8 = simpleRegression0.getTotalSumSquares();
    double d9 = simpleRegression0.getR();
    double d10 = simpleRegression0.getRSquare();
    double d11 = simpleRegression0.getSlope();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);

  }

  @Test
  public void test34() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test34"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d4 = simpleRegression0.predict(0.0d);
    double d5 = simpleRegression0.getIntercept();
    double d6 = simpleRegression0.getR();
    long long7 = simpleRegression0.getN();
    double d8 = simpleRegression0.getTotalSumSquares();
    double d9 = simpleRegression0.getR();
    double d10 = simpleRegression0.getMeanSquareError();
    double d11 = simpleRegression0.getMeanSquareError();
    double d12 = simpleRegression0.getR();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test35() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test35"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    double d6 = simpleRegression0.getSlopeStdErr();
    double d7 = simpleRegression0.getRegressionSumSquares();
    double d8 = simpleRegression0.getSumSquaredErrors();
    long long9 = simpleRegression0.getN();
    long long10 = simpleRegression0.getN();
    simpleRegression0.clear();
    double d12 = simpleRegression0.getSlopeStdErr();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test36() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test36"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getSumSquaredErrors();
    double d5 = simpleRegression0.getIntercept();
    double d6 = simpleRegression0.getSumSquaredErrors();
    long long7 = simpleRegression0.getN();
    simpleRegression0.addData(10.0d, 1.0d);
    double d11 = simpleRegression0.getSlopeStdErr();
    double d12 = simpleRegression0.getR();
    double d13 = simpleRegression0.getSlopeStdErr();
    double d14 = simpleRegression0.getSlope();
    double d15 = simpleRegression0.getRSquare();
    double d16 = simpleRegression0.getSlope();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);

  }

  @Test
  public void test37() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test37"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.addData(10.0d, (-1.0d));
    double d6 = simpleRegression0.getInterceptStdErr();
    double d7 = simpleRegression0.getRSquare();
    double d8 = simpleRegression0.getSlope();
    double d9 = simpleRegression0.getR();
    double d10 = simpleRegression0.getTotalSumSquares();
    double d11 = simpleRegression0.getTotalSumSquares();
    simpleRegression0.addData((-0.2d), (-1.1111111111111112d));
    double d15 = simpleRegression0.getR();
    double d17 = simpleRegression0.predict(10.1d);
    double d18 = simpleRegression0.getR();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == (-0.9989106753812638d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9999999999999999d);

  }

  @Test
  public void test38() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test38"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.addData(10.0d, (-1.0d));
    double d6 = simpleRegression0.getIntercept();
    double d7 = simpleRegression0.getR();
    simpleRegression0.addData(0.0d, 1.0d);
    double d11 = simpleRegression0.getMeanSquareError();
    double d12 = simpleRegression0.getIntercept();
    double d13 = simpleRegression0.getIntercept();
    double d14 = simpleRegression0.getR();
    // The following exception was thrown during execution in test generation
    try {
      double d15 = simpleRegression0.getSignificance();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == (-1.0d));

  }

  @Test
  public void test39() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test39"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.addData(10.0d, (-1.0d));
    double d6 = simpleRegression0.getIntercept();
    double d8 = simpleRegression0.predict(100.0d);
    double d9 = simpleRegression0.getTotalSumSquares();
    double d10 = simpleRegression0.getIntercept();
    double d11 = simpleRegression0.getSumSquaredErrors();
    double d12 = simpleRegression0.getRSquare();
    double d13 = simpleRegression0.getSumSquaredErrors();
    double d14 = simpleRegression0.getInterceptStdErr();
    double d15 = simpleRegression0.getTotalSumSquares();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test40() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test40"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d1 = simpleRegression0.getMeanSquareError();
    double d2 = simpleRegression0.getTotalSumSquares();
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSumSquaredErrors();
    double d5 = simpleRegression0.getMeanSquareError();
    double d6 = simpleRegression0.getSlope();
    double d7 = simpleRegression0.getRSquare();
    double d8 = simpleRegression0.getSlope();
    double d9 = simpleRegression0.getMeanSquareError();
    double d10 = simpleRegression0.getR();
    double d11 = simpleRegression0.getSlopeStdErr();
    double d12 = simpleRegression0.getSlopeStdErr();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test41() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test41"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    long long1 = simpleRegression0.getN();
    double d2 = simpleRegression0.getIntercept();
    double d3 = simpleRegression0.getRSquare();
    double d4 = simpleRegression0.getR();
    double d5 = simpleRegression0.getRegressionSumSquares();
    double d6 = simpleRegression0.getIntercept();
    double d7 = simpleRegression0.getTotalSumSquares();
    double d9 = simpleRegression0.predict(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test42() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test42"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    simpleRegression0.clear();
    double d2 = simpleRegression0.getSumSquaredErrors();
    long long3 = simpleRegression0.getN();
    double d4 = simpleRegression0.getMeanSquareError();
    double d5 = simpleRegression0.getInterceptStdErr();
    double d6 = simpleRegression0.getSlopeStdErr();
    double d7 = simpleRegression0.getSlope();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test43() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test43"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getR();
    double d5 = simpleRegression0.getRSquare();
    double d6 = simpleRegression0.getRSquare();
    double d7 = simpleRegression0.getIntercept();
    double d9 = simpleRegression0.predict((-1.0d));
    double d10 = simpleRegression0.getIntercept();
    double d11 = simpleRegression0.getMeanSquareError();
    double d12 = simpleRegression0.getInterceptStdErr();
    double d13 = simpleRegression0.getRSquare();
    double d14 = simpleRegression0.getR();
    long long15 = simpleRegression0.getN();
    double d16 = simpleRegression0.getSlope();
    double d18 = simpleRegression0.predict(0.33152065381443835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);

  }

  @Test
  public void test44() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test44"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d1 = simpleRegression0.getMeanSquareError();
    simpleRegression0.clear();
    double d4 = simpleRegression0.predict(Double.NaN);
    simpleRegression0.clear();
    simpleRegression0.clear();
    double d7 = simpleRegression0.getTotalSumSquares();
    double d8 = simpleRegression0.getSlope();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test45() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test45"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.addData(10.0d, (-1.0d));
    double d6 = simpleRegression0.getIntercept();
    double d7 = simpleRegression0.getSlope();
    double d8 = simpleRegression0.getRegressionSumSquares();
    double d10 = simpleRegression0.predict(9.094947017729282E-13d);
    // The following exception was thrown during execution in test generation
    try {
      double d11 = simpleRegression0.getSlopeConfidenceInterval();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test46() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test46"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    long long1 = simpleRegression0.getN();
    double d2 = simpleRegression0.getIntercept();
    simpleRegression0.clear();
    double d4 = simpleRegression0.getR();
    simpleRegression0.clear();
    double d6 = simpleRegression0.getR();
    double d7 = simpleRegression0.getRSquare();
    double d8 = simpleRegression0.getInterceptStdErr();
    double d9 = simpleRegression0.getTotalSumSquares();
    double d10 = simpleRegression0.getRegressionSumSquares();
    long long11 = simpleRegression0.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);

  }

  @Test
  public void test47() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test47"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d1 = simpleRegression0.getMeanSquareError();
    double d2 = simpleRegression0.getSlope();
    double d3 = simpleRegression0.getSlopeStdErr();
    double d4 = simpleRegression0.getR();
    simpleRegression0.clear();
    // The following exception was thrown during execution in test generation
    try {
      double d7 = simpleRegression0.getSlopeConfidenceInterval(10.1d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test48() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test48"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    simpleRegression0.clear();
    double d2 = simpleRegression0.getRegressionSumSquares();
    double d3 = simpleRegression0.getSlopeStdErr();
    double d4 = simpleRegression0.getMeanSquareError();
    simpleRegression0.clear();
    double d6 = simpleRegression0.getSlopeStdErr();
    double d8 = simpleRegression0.predict(0.5789473684210525d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test49() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test49"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getR();
    simpleRegression0.addData((-1.0d), 0.0d);
    double d8 = simpleRegression0.getMeanSquareError();
    simpleRegression0.addData(0.5d, 0.0d);
    double d12 = simpleRegression0.getSlopeStdErr();
    // The following exception was thrown during execution in test generation
    try {
      double d14 = simpleRegression0.getSlopeConfidenceInterval(3.666666666666667d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test50() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test50"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    long long6 = simpleRegression0.getN();
    double d7 = simpleRegression0.getTotalSumSquares();
    double d9 = simpleRegression0.predict(0.0d);
    double d10 = simpleRegression0.getIntercept();
    double d11 = simpleRegression0.getIntercept();
    double d12 = simpleRegression0.getTotalSumSquares();
    double d13 = simpleRegression0.getIntercept();
    double d14 = simpleRegression0.getInterceptStdErr();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);

  }

  @Test
  public void test51() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test51"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    long long4 = simpleRegression0.getN();
    double d5 = simpleRegression0.getSlope();
    double d6 = simpleRegression0.getTotalSumSquares();
    long long7 = simpleRegression0.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);

  }

  @Test
  public void test52() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test52"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    simpleRegression0.clear();
    double d2 = simpleRegression0.getSumSquaredErrors();
    long long3 = simpleRegression0.getN();
    double d4 = simpleRegression0.getInterceptStdErr();
    long long5 = simpleRegression0.getN();
    double d6 = simpleRegression0.getR();
    double d8 = simpleRegression0.predict(1.125d);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = simpleRegression0.getSlopeConfidenceInterval();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test53() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test53"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getSlopeStdErr();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getSlope();
    double d6 = simpleRegression0.getRSquare();
    simpleRegression0.clear();
    double d8 = simpleRegression0.getR();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test54() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test54"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.addData(10.0d, (-1.0d));
    double d6 = simpleRegression0.getIntercept();
    double d7 = simpleRegression0.getSlope();
    double d8 = simpleRegression0.getTotalSumSquares();
    long long9 = simpleRegression0.getN();
    double d10 = simpleRegression0.getIntercept();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test55() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test55"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getSlopeStdErr();
    double d4 = simpleRegression0.getMeanSquareError();
    double d5 = simpleRegression0.getSlopeStdErr();
    double d6 = simpleRegression0.getTotalSumSquares();
    double d8 = simpleRegression0.predict(0.0d);
    double d9 = simpleRegression0.getR();
    simpleRegression0.addData(0.0d, Double.NaN);
    long long13 = simpleRegression0.getN();
    double d14 = simpleRegression0.getRegressionSumSquares();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);

  }

  @Test
  public void test56() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test56"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    simpleRegression0.clear();
    double d2 = simpleRegression0.getIntercept();
    double d3 = simpleRegression0.getIntercept();
    simpleRegression0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test57() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test57"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getInterceptStdErr();
    double d4 = simpleRegression0.getR();
    long long5 = simpleRegression0.getN();
    // The following exception was thrown during execution in test generation
    try {
      double d6 = simpleRegression0.getSlopeConfidenceInterval();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);

  }

  @Test
  public void test58() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test58"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getSumSquaredErrors();
    double d5 = simpleRegression0.getInterceptStdErr();
    double d6 = simpleRegression0.getSlopeStdErr();
    double d8 = simpleRegression0.predict(Double.NaN);
    double d9 = simpleRegression0.getTotalSumSquares();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = simpleRegression0.getSlopeConfidenceInterval();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test59() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test59"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getSlopeStdErr();
    double d4 = simpleRegression0.getMeanSquareError();
    double d5 = simpleRegression0.getMeanSquareError();
    double d6 = simpleRegression0.getRegressionSumSquares();
    simpleRegression0.addData(Double.NaN, 0.0d);
    double d10 = simpleRegression0.getSlopeStdErr();
    double d11 = simpleRegression0.getSlopeStdErr();
    double d12 = simpleRegression0.getSumSquaredErrors();
    double d14 = simpleRegression0.predict(5100.499999999999d);
    double d15 = simpleRegression0.getTotalSumSquares();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test60() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test60"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    simpleRegression0.clear();
    double d7 = simpleRegression0.getRSquare();
    double d8 = simpleRegression0.getRSquare();
    simpleRegression0.clear();
    double d10 = simpleRegression0.getRegressionSumSquares();
    simpleRegression0.addData(4049.9999999999995d, 0.0d);
    simpleRegression0.addData(9.568421052631578d, 0.5617283950617282d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test61() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test61"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d1 = simpleRegression0.getMeanSquareError();
    double d2 = simpleRegression0.getTotalSumSquares();
    simpleRegression0.clear();
    long long4 = simpleRegression0.getN();
    double d5 = simpleRegression0.getSlopeStdErr();
    double d6 = simpleRegression0.getRSquare();
    double d7 = simpleRegression0.getTotalSumSquares();
    double d8 = simpleRegression0.getMeanSquareError();
    double d9 = simpleRegression0.getTotalSumSquares();
    double d10 = simpleRegression0.getR();
    double d11 = simpleRegression0.getSlope();
    double d12 = simpleRegression0.getSlope();
    double d13 = simpleRegression0.getMeanSquareError();
    double d14 = simpleRegression0.getInterceptStdErr();
    double d15 = simpleRegression0.getTotalSumSquares();
    double d16 = simpleRegression0.getInterceptStdErr();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);

  }

  @Test
  public void test62() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test62"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    long long6 = simpleRegression0.getN();
    double d7 = simpleRegression0.getR();
    long long8 = simpleRegression0.getN();
    double d9 = simpleRegression0.getInterceptStdErr();
    double d10 = simpleRegression0.getTotalSumSquares();
    simpleRegression0.clear();
    double d13 = simpleRegression0.predict(0.5d);
    simpleRegression0.clear();
    double d15 = simpleRegression0.getSumSquaredErrors();
    double d16 = simpleRegression0.getRegressionSumSquares();
    long long17 = simpleRegression0.getN();
    double d18 = simpleRegression0.getSumSquaredErrors();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);

  }

  @Test
  public void test63() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test63"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d1 = simpleRegression0.getMeanSquareError();
    double d2 = simpleRegression0.getTotalSumSquares();
    simpleRegression0.clear();
    long long4 = simpleRegression0.getN();
    double d5 = simpleRegression0.getSlopeStdErr();
    double d6 = simpleRegression0.getRSquare();
    double d7 = simpleRegression0.getR();
    simpleRegression0.clear();
    double d9 = simpleRegression0.getSlopeStdErr();
    long long10 = simpleRegression0.getN();
    double d11 = simpleRegression0.getRSquare();
    double d13 = simpleRegression0.predict(5100.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test64() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test64"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d1 = simpleRegression0.getMeanSquareError();
    double d2 = simpleRegression0.getTotalSumSquares();
    simpleRegression0.clear();
    long long4 = simpleRegression0.getN();
    double d5 = simpleRegression0.getSlopeStdErr();
    double d6 = simpleRegression0.getRSquare();
    double d7 = simpleRegression0.getR();
    long long8 = simpleRegression0.getN();
    double d9 = simpleRegression0.getR();
    simpleRegression0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test65() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test65"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getR();
    double d5 = simpleRegression0.getSumSquaredErrors();
    double d6 = simpleRegression0.getR();
    double d7 = simpleRegression0.getRSquare();
    double d9 = simpleRegression0.predict(0.0555555555555555d);
    double d10 = simpleRegression0.getIntercept();
    double d12 = simpleRegression0.predict(0.33152065381443835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test66() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test66"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getR();
    double d5 = simpleRegression0.getRSquare();
    simpleRegression0.clear();
    long long7 = simpleRegression0.getN();
    double d8 = simpleRegression0.getSlope();
    double d9 = simpleRegression0.getRSquare();
    double d10 = simpleRegression0.getIntercept();
    simpleRegression0.addData(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test67() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test67"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d4 = simpleRegression0.predict(0.0d);
    double d5 = simpleRegression0.getIntercept();
    double d6 = simpleRegression0.getR();
    double d7 = simpleRegression0.getSlope();
    double d8 = simpleRegression0.getMeanSquareError();
    double d9 = simpleRegression0.getRegressionSumSquares();
    double d10 = simpleRegression0.getIntercept();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test68() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test68"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getSumSquaredErrors();
    double d5 = simpleRegression0.getSumSquaredErrors();
    double d6 = simpleRegression0.getTotalSumSquares();
    double d7 = simpleRegression0.getSlope();
    double d8 = simpleRegression0.getIntercept();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test69() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test69"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getR();
    simpleRegression0.addData((-1.0d), 0.0d);
    double d8 = simpleRegression0.getSlopeStdErr();
    double d9 = simpleRegression0.getSlopeStdErr();
    double d10 = simpleRegression0.getSlope();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test70() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test70"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.addData(10.0d, (-1.0d));
    simpleRegression0.clear();
    double d7 = simpleRegression0.getRegressionSumSquares();
    double d8 = simpleRegression0.getR();
    double d9 = simpleRegression0.getRegressionSumSquares();
    double d10 = simpleRegression0.getRegressionSumSquares();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test71() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test71"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.addData(10.0d, (-1.0d));
    double d6 = simpleRegression0.getIntercept();
    double d8 = simpleRegression0.predict(100.0d);
    double d9 = simpleRegression0.getTotalSumSquares();
    double d10 = simpleRegression0.getIntercept();
    double d11 = simpleRegression0.getSumSquaredErrors();
    double d12 = simpleRegression0.getRSquare();
    double d13 = simpleRegression0.getSumSquaredErrors();
    double d14 = simpleRegression0.getInterceptStdErr();
    double d15 = simpleRegression0.getMeanSquareError();
    simpleRegression0.clear();
    double d17 = simpleRegression0.getR();
    simpleRegression0.clear();
    double d19 = simpleRegression0.getSlopeStdErr();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);

  }

  @Test
  public void test72() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test72"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    double d6 = simpleRegression0.getSlopeStdErr();
    double d7 = simpleRegression0.getRegressionSumSquares();
    double d8 = simpleRegression0.getSlopeStdErr();
    double d9 = simpleRegression0.getRegressionSumSquares();
    double d10 = simpleRegression0.getMeanSquareError();
    double d11 = simpleRegression0.getInterceptStdErr();
    double d12 = simpleRegression0.getIntercept();
    double d13 = simpleRegression0.getSumSquaredErrors();
    double d14 = simpleRegression0.getIntercept();
    double d15 = simpleRegression0.getSumSquaredErrors();
    double d16 = simpleRegression0.getMeanSquareError();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);

  }

  @Test
  public void test73() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test73"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getSlopeStdErr();
    long long4 = simpleRegression0.getN();
    double d5 = simpleRegression0.getRSquare();
    double d6 = simpleRegression0.getSumSquaredErrors();
    double d7 = simpleRegression0.getSumSquaredErrors();
    simpleRegression0.clear();
    long long9 = simpleRegression0.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);

  }

  @Test
  public void test74() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test74"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    simpleRegression0.clear();
    double d2 = simpleRegression0.getIntercept();
    double d4 = simpleRegression0.predict(Double.NaN);
    double d6 = simpleRegression0.predict(100.0d);
    double d7 = simpleRegression0.getSumSquaredErrors();
    double d8 = simpleRegression0.getRSquare();
    double d9 = simpleRegression0.getSlope();
    double d10 = simpleRegression0.getMeanSquareError();
    // The following exception was thrown during execution in test generation
    try {
      double d12 = simpleRegression0.getSlopeConfidenceInterval((-1.7996357012750457d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test75() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test75"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getSumSquaredErrors();
    double d5 = simpleRegression0.getInterceptStdErr();
    double d6 = simpleRegression0.getMeanSquareError();
    double d7 = simpleRegression0.getIntercept();
    double d8 = simpleRegression0.getRegressionSumSquares();
    double d9 = simpleRegression0.getR();
    double d11 = simpleRegression0.predict((-1.1111111111111112d));
    double d12 = simpleRegression0.getMeanSquareError();
    double d13 = simpleRegression0.getSlopeStdErr();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test76() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test76"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    simpleRegression0.clear();
    simpleRegression0.addData(10.0d, 10.0d);
    double d5 = simpleRegression0.getRSquare();
    double d6 = simpleRegression0.getIntercept();
    long long7 = simpleRegression0.getN();
    double d8 = simpleRegression0.getInterceptStdErr();
    double d9 = simpleRegression0.getSumSquaredErrors();
    double[] d_array10 = null;
    double[][] d_array_array11 = new double[][] { d_array10 };
    // The following exception was thrown during execution in test generation
    try {
      simpleRegression0.addData(d_array_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);

  }

  @Test
  public void test77() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test77"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    long long1 = simpleRegression0.getN();
    double d2 = simpleRegression0.getIntercept();
    simpleRegression0.clear();
    simpleRegression0.addData(100.0d, 100.0d);
    double d7 = simpleRegression0.getTotalSumSquares();
    double d8 = simpleRegression0.getSlopeStdErr();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test78() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test78"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getInterceptStdErr();
    double d4 = simpleRegression0.getSumSquaredErrors();
    double d5 = simpleRegression0.getR();
    double d6 = simpleRegression0.getMeanSquareError();
    long long7 = simpleRegression0.getN();
    double d8 = simpleRegression0.getIntercept();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test79() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test79"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getRSquare();
    long long5 = simpleRegression0.getN();
    double d6 = simpleRegression0.getR();
    double d7 = simpleRegression0.getMeanSquareError();
    simpleRegression0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test80() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test80"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    long long6 = simpleRegression0.getN();
    double d7 = simpleRegression0.getR();
    long long8 = simpleRegression0.getN();
    double d9 = simpleRegression0.getRSquare();
    double d10 = simpleRegression0.getTotalSumSquares();
    simpleRegression0.clear();
    double d12 = simpleRegression0.getSumSquaredErrors();
    double d13 = simpleRegression0.getRSquare();
    double d14 = simpleRegression0.getSlope();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);

  }

  @Test
  public void test81() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test81"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.addData(10.0d, (-1.0d));
    double d6 = simpleRegression0.getIntercept();
    double d8 = simpleRegression0.predict(100.0d);
    double d9 = simpleRegression0.getTotalSumSquares();
    long long10 = simpleRegression0.getN();
    double d11 = simpleRegression0.getMeanSquareError();
    double d12 = simpleRegression0.getR();
    double d13 = simpleRegression0.getSumSquaredErrors();
    double d14 = simpleRegression0.getInterceptStdErr();
    long long15 = simpleRegression0.getN();
    double d16 = simpleRegression0.getInterceptStdErr();
    double d17 = simpleRegression0.getSlope();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);

  }

  @Test
  public void test82() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test82"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    long long6 = simpleRegression0.getN();
    double d7 = simpleRegression0.getR();
    long long8 = simpleRegression0.getN();
    double d9 = simpleRegression0.getInterceptStdErr();
    double d10 = simpleRegression0.getSlope();
    double d11 = simpleRegression0.getSumSquaredErrors();
    double d12 = simpleRegression0.getInterceptStdErr();
    double d13 = simpleRegression0.getInterceptStdErr();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test83() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test83"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    simpleRegression0.clear();
    simpleRegression0.addData(10.0d, 10.0d);
    double d5 = simpleRegression0.getRegressionSumSquares();
    double d6 = simpleRegression0.getR();
    double d7 = simpleRegression0.getRSquare();
    double d8 = simpleRegression0.getSlope();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test84() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test84"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.addData(10.0d, (-1.0d));
    double d6 = simpleRegression0.getIntercept();
    double d8 = simpleRegression0.predict(100.0d);
    double d9 = simpleRegression0.getTotalSumSquares();
    double d10 = simpleRegression0.getIntercept();
    double d11 = simpleRegression0.getSumSquaredErrors();
    double d12 = simpleRegression0.getRSquare();
    double d13 = simpleRegression0.getSumSquaredErrors();
    double d14 = simpleRegression0.getIntercept();
    double d15 = simpleRegression0.getSlope();
    double d16 = simpleRegression0.getSumSquaredErrors();
    double[] d_array17 = null;
    double[][] d_array_array18 = new double[][] { d_array17 };
    // The following exception was thrown during execution in test generation
    try {
      simpleRegression0.addData(d_array_array18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);

  }

  @Test
  public void test85() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test85"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    long long6 = simpleRegression0.getN();
    double d7 = simpleRegression0.getTotalSumSquares();
    double d8 = simpleRegression0.getTotalSumSquares();
    double d9 = simpleRegression0.getSlope();
    double d10 = simpleRegression0.getTotalSumSquares();
    double d11 = simpleRegression0.getInterceptStdErr();
    // The following exception was thrown during execution in test generation
    try {
      double d12 = simpleRegression0.getSignificance();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);

  }

  @Test
  public void test86() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test86"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d1 = simpleRegression0.getMeanSquareError();
    double d2 = simpleRegression0.getTotalSumSquares();
    simpleRegression0.clear();
    long long4 = simpleRegression0.getN();
    double d5 = simpleRegression0.getSlopeStdErr();
    double d6 = simpleRegression0.getRSquare();
    double d7 = simpleRegression0.getR();
    long long8 = simpleRegression0.getN();
    double d9 = simpleRegression0.getR();
    double d10 = simpleRegression0.getRSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test87() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test87"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d1 = simpleRegression0.getMeanSquareError();
    double d2 = simpleRegression0.getTotalSumSquares();
    double d3 = simpleRegression0.getMeanSquareError();
    double d4 = simpleRegression0.getInterceptStdErr();
    double d5 = simpleRegression0.getR();
    double[][] d_array_array6 = null;
    // The following exception was thrown during execution in test generation
    try {
      simpleRegression0.addData(d_array_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test88() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test88"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getR();
    double d5 = simpleRegression0.getRSquare();
    double d6 = simpleRegression0.getRSquare();
    double d7 = simpleRegression0.getIntercept();
    double d8 = simpleRegression0.getSlopeStdErr();
    double d9 = simpleRegression0.getMeanSquareError();
    double d10 = simpleRegression0.getSumSquaredErrors();
    double d11 = simpleRegression0.getSlope();
    double d12 = simpleRegression0.getMeanSquareError();
    long long13 = simpleRegression0.getN();
    double d14 = simpleRegression0.getMeanSquareError();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);

  }

  @Test
  public void test89() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test89"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getInterceptStdErr();
    double d4 = simpleRegression0.getSumSquaredErrors();
    double d5 = simpleRegression0.getTotalSumSquares();
    simpleRegression0.addData(0.0d, 10.0d);
    double d9 = simpleRegression0.getRSquare();
    double d10 = simpleRegression0.getSlopeStdErr();
    double d11 = simpleRegression0.getR();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);

  }

  @Test
  public void test90() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test90"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.addData(10.0d, (-1.0d));
    double d6 = simpleRegression0.getIntercept();
    double d7 = simpleRegression0.getR();
    long long8 = simpleRegression0.getN();
    double d10 = simpleRegression0.predict(0.0d);
    simpleRegression0.clear();
    double d12 = simpleRegression0.getSlopeStdErr();
    double d13 = simpleRegression0.getInterceptStdErr();
    double d14 = simpleRegression0.getTotalSumSquares();
    double d15 = simpleRegression0.getIntercept();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test91() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test91"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    double d6 = simpleRegression0.getSlopeStdErr();
    double d7 = simpleRegression0.getRegressionSumSquares();
    double d8 = simpleRegression0.getSumSquaredErrors();
    double d9 = simpleRegression0.getIntercept();
    simpleRegression0.clear();
    simpleRegression0.addData(Double.NaN, 1.0d);
    simpleRegression0.addData(0.5d, 0.0d);
    simpleRegression0.addData(0.0d, 10.0d);
    simpleRegression0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test92() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test92"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    double d3 = simpleRegression0.getR();
    double d4 = simpleRegression0.getIntercept();
    double d5 = simpleRegression0.getIntercept();
    double d6 = simpleRegression0.getRSquare();
    double d7 = simpleRegression0.getRSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test93() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest14.test93"); }


    org.apache.commons.math.stat.regression.SimpleRegression simpleRegression0 = new org.apache.commons.math.stat.regression.SimpleRegression();
    double d2 = simpleRegression0.predict(10.0d);
    simpleRegression0.clear();
    double d4 = simpleRegression0.getSlope();
    double d5 = simpleRegression0.getMeanSquareError();
    long long6 = simpleRegression0.getN();
    double d7 = simpleRegression0.getR();
    long long8 = simpleRegression0.getN();
    double d9 = simpleRegression0.getInterceptStdErr();
    double d10 = simpleRegression0.getSlope();
    double d11 = simpleRegression0.getMeanSquareError();
    double d12 = simpleRegression0.getRegressionSumSquares();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

}
